Holger's Java API

## com.antelmann.genealogy
Class GTag

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.Keyword
              com.antelmann.genealogy.GTag

All Implemented Interfaces:
  DBEntry, Tag, Serializable, Comparable<Keyword>

    public class GTag

extends Keyword

defines general tags for this package.

Since:
  24.01.2014, 13:36:29
Author:
  holger
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`GTag(String name)`

Method Summary

Methods inherited from class com.antelmann.db.Keyword
`compareTo, createNewTag, getTagName, removeAllTags, toString`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`equals, getID, hashCode, hashEntry, sameEntry`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GTag

    public GTag(String name)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads